/************************************************************************/
/*  External variable for sac2ms.					*/
/*									*/
/*	Douglas Neuhauser						*/
/*	Seismological Laboratory					*/
/*	University of California, Berkeley				*/
/*	doug@seismo.berkeley.edu					*/
/*									*/
/************************************************************************/

/*
 * Copyright (c) 1996-2000 The Regents of the University of California.
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for educational, research and non-profit purposes,
 * without fee, and without a written agreement is hereby granted,
 * provided that the above copyright notice, this paragraph and the
 * following three paragraphs appear in all copies.
 * 
 * Permission to incorporate this software into commercial products may
 * be obtained from the Office of Technology Licensing, 2150 Shattuck
 * Avenue, Suite 510, Berkeley, CA  94704.
 * 
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES,
 * INCLUDING LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND
 * ITS DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
 * CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */

/*	$Id: externals.h,v 1.4 2014/05/29 01:02:29 doug Exp $ 	*/

#define		FATAL(str)	{ fprintf(stderr,"%s\n",str); exit(1); }
#define		MAX_BLKSIZE	8192
	
#ifndef	EXTERN
#define	EXTERN	extern
#endif	/* EXTERN */

typedef struct _mapentry {
    char segy_station[6];
    char segy_channel[6];
    char seed_station[6];
    char seed_channel[6];
}   MAPENTRY;

/************************************************************************/
/*  External variables.							*/
/************************************************************************/
EXTERN char *cmdname;
EXTERN char *infile;
EXTERN char *outfile;
EXTERN char *mapfile;
EXTERN FILE *input;
EXTERN FILE *output;
EXTERN FILE *info;
EXTERN char station[6];	/* explicit station name.		*/
EXTERN char channel[4];	/* explicit channel name.		*/
EXTERN char network[3];	/* explicit network name.		*/
EXTERN int bin_flag;
EXTERN MAPENTRY *map;
extern char *syntax[];
EXTERN int my_endian;

#ifdef	DEFINE
int blksize = DEFAULT_BLKSIZE;			/* MiniSEED blksize.	*/
int output_format = DEFAULT_OUTPUT_FORMAT;	/* MiniSEED data format.*/
char *segy_format = DEFAULT_SEGY_FORMAT;	/* SEGY format.		*/

#else
EXTERN int	blksize;	/* MiniSEED blksize.			*/
EXTERN int	output_format;	/* MiniSEED data format.		*/
EXTERN char	*segy_format;	/* SEGY format.				*/
#endif

#define	BERKELEY_FORMAT	0
#define	PASSCAL_FORMAT	1
